error on dict_nis.c when compiling postfix

Discussion in 'Server Operation' started by said76, Jun 13, 2012.

  1. said76

    said76 New Member

    Hi,

    I am encountering some problems when trying to install Postfix from its source. I am compiling the latest version of Postfix-2.9.3 onto my Ubuntu Server 12.04.

    Here is my compilation detail
    make makefiles 'CCARGS=-DHAS_MYSQL -I/home/server/mysql/include/mysql -DUSE_TLS -DUSE_SASL_AUTH -DDEF_SERVER_SASL_TYPE=\"dovecot\" -DHAS_PCRE -I/usr/include' 'AUXLIBS=-L/home/server/mysql/lib/mysql -lmysqlclient -lz -lm -L/usr/local/lib -lssl -lcrypto -L/usr/lib -lpcre'

    I am getting the following error messages
    ../../lib/libutil.a(dict_nis.o): In function `dict_nis_lookup':
    /home/src/postfix-2.9.3/src/util/dict_nis.c:173: undefined reference to `yp_match'
    /home/src/postfix-2.9.3/src/util/dict_nis.c:187: undefined reference to `yp_match'
    ../../lib/libutil.a(dict_nis.o): In function `dict_nis_init':
    /home/src/postfix-2.9.3/src/util/dict_nis.c:81: undefined reference to `yp_get_default_domain'
    collect2: ld returned 1 exit status
    make: *** [sendmail] Error 1
    make: *** [update] Error 1

    I tried to google them on the Internet but to no avail. I was wondering if I need a certain package installed prior to postfix installation.

    Any help would be greatly appreciated
     
  2. falko

    falko Super Moderator ISPConfig Developer

  3. said76

    said76 New Member

    Hi Falko,

    Thank you for your reply.

    I tried the command "apt-get build-dep postfix" but still got the same error messages as described in my earlier thread.

    Falko, thank you for the link. I would definitely use this link in a very short future. As soon as my postfix has been installed successfully, I'm gonna need to refer to the article you posted for guidance.

    However, in the article, I noticed you actually installed postfix from the Ubuntu package as opposed to installing it from the source which is what I am trying to do.

    Thank you
     
  4. falko

    falko Super Moderator ISPConfig Developer

    Oh, I was thinking you tried to build Postfix from the deb src package instead of from the real sources.

    In that case I'd try the following:
    Code:
    apt-get install build-essential binutils-gold
     
  5. said76

    said76 New Member

    Hi Falko,

    Tried to run the command "$ apt-get install build-essential binutils-gold" but unfortunately didn't work. Still the same errors :(

    dict_nis.c:173: error: undefined reference to 'yp_match'
    dict_nis.c:187: error: undefined reference to 'yp_match'
    dict_nis.c:81: error: undefined reference to 'yp_get_default_domain'
    collect2: ld returned 1 exit status
    make: *** [sendmail] Error 1
    make: *** [update] Error 1

    This is coming from dict_nis_init. I wonder what kind of header files I'd need for this to be recognized by the server.

    I don't know if binutils-dev might do the trick here. It's a trial and error experiment.

    Thank you
     

Share This Page